GET Attachments/ByUploadDate?assetId={assetId}&beginDate={beginDate}&endDate={endDate}&includeContent={includeContent}
Retrieves attachments for the given parameters. All parameters are optional.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| assetId |
Id of the asset |
globally unique identifier |
None. |
| beginDate |
Beginning upload date of the attachments to retrieve |
date |
None. |
| endDate |
Ending upload date of the attachments to retrieve |
date |
None. |
| includeContent |
Include the file contents of the attachments |
boolean |
Default value is False |
Body Parameters
None.
Response Information
Resource Description
On success, a list of attachments.
| Name | Description | Type | Additional information |
|---|---|---|---|
| Data | Collection of Attachment |
None. |
|
| Total | integer |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Data": [
{
"AttachmentId": "a84e2595-9bd1-43d2-be8d-6408379c4857",
"Name": "sample string 1",
"Description": "sample string 2",
"AttachmentCategory": {
"AttachmentCategoryId": "c00109ee-630c-4d0e-9fab-5a8f5f9d36be",
"Name": "sample string 1",
"SourceSystemId": "sample string 2",
"CompanyId": "46ba534f-8740-4856-bec9-462eaa327776",
"CreateDate": "2026-10-27T22:48:40.1863959-07:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-10-27T22:48:40.1863959-07:00",
"LastModifiedUser": "sample string 5"
},
"Asset": {
"AssetId": "dca02788-9b01-4b3a-9741-45dc1a169719",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "be029d50-b41e-490a-b09e-2d4e5d7207a7",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "ea6defd0-7ebe-4388-a016-55248d35f072",
"CreateDate": "2026-10-27T22:48:40.1863959-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-27T22:48:40.1863959-07:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "b230abb2-3b13-42be-abaa-5c44e24f6782",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-10-27T22:48:40.1863959-07:00",
"MeasurementValueNeededDate": "2026-10-27T22:48:40.1863959-07:00",
"SourceSystemId": "sample string 3",
"CompanyId": "2289d740-3a59-4fbd-bf19-897971821629",
"CreateDate": "2026-10-27T22:48:40.1863959-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-27T22:48:40.1863959-07:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-10-27T22:48:40.1863959-07:00",
"MeasurementValueNeededDate": "2026-10-27T22:48:40.1863959-07:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "3693aa02-87cf-4705-9b82-80d753f5f52f",
"CreateDate": "2026-10-27T22:48:40.1863959-07:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-10-27T22:48:40.1863959-07:00",
"LastModifiedUser": "sample string 8"
},
"FileType": "sample string 3",
"FileSize": 1,
"UploadDate": "2026-10-27T22:48:40.1863959-07:00",
"Content": "QEA=",
"SourceSystemId": "sample string 4",
"CompanyId": "48c13c2a-f6b2-48a1-9a40-9369ce8b5666",
"CreateDate": "2026-10-27T22:48:40.1863959-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-27T22:48:40.1863959-07:00",
"LastModifiedUser": "sample string 7"
},
{
"AttachmentId": "a84e2595-9bd1-43d2-be8d-6408379c4857",
"Name": "sample string 1",
"Description": "sample string 2",
"AttachmentCategory": {
"AttachmentCategoryId": "c00109ee-630c-4d0e-9fab-5a8f5f9d36be",
"Name": "sample string 1",
"SourceSystemId": "sample string 2",
"CompanyId": "46ba534f-8740-4856-bec9-462eaa327776",
"CreateDate": "2026-10-27T22:48:40.1863959-07:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-10-27T22:48:40.1863959-07:00",
"LastModifiedUser": "sample string 5"
},
"Asset": {
"AssetId": "dca02788-9b01-4b3a-9741-45dc1a169719",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "be029d50-b41e-490a-b09e-2d4e5d7207a7",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "ea6defd0-7ebe-4388-a016-55248d35f072",
"CreateDate": "2026-10-27T22:48:40.1863959-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-27T22:48:40.1863959-07:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "b230abb2-3b13-42be-abaa-5c44e24f6782",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-10-27T22:48:40.1863959-07:00",
"MeasurementValueNeededDate": "2026-10-27T22:48:40.1863959-07:00",
"SourceSystemId": "sample string 3",
"CompanyId": "2289d740-3a59-4fbd-bf19-897971821629",
"CreateDate": "2026-10-27T22:48:40.1863959-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-27T22:48:40.1863959-07:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-10-27T22:48:40.1863959-07:00",
"MeasurementValueNeededDate": "2026-10-27T22:48:40.1863959-07:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "3693aa02-87cf-4705-9b82-80d753f5f52f",
"CreateDate": "2026-10-27T22:48:40.1863959-07:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-10-27T22:48:40.1863959-07:00",
"LastModifiedUser": "sample string 8"
},
"FileType": "sample string 3",
"FileSize": 1,
"UploadDate": "2026-10-27T22:48:40.1863959-07:00",
"Content": "QEA=",
"SourceSystemId": "sample string 4",
"CompanyId": "48c13c2a-f6b2-48a1-9a40-9369ce8b5666",
"CreateDate": "2026-10-27T22:48:40.1863959-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-27T22:48:40.1863959-07:00",
"LastModifiedUser": "sample string 7"
}
],
"Total": 1,
"Message": "sample string 1"
}